# Generated from core_docs-0.9.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name core_docs

Name: rubygem-%{gem_name}
Version: 0.9.6
Release: 1%{?dist}
Summary: Provides YARD and extended documentation support
License: MIT
URL: https://github.com/janlelis/core_docs
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
BuildRequires: ruby < 4.0
# BuildRequires: rubygem(latest_ruby)
# BuildRequires: rubygem(latest_ruby) < 1
# BuildRequires: rubygem(bacon) >= 1.1
# BuildRequires: rubygem(bacon) < 2
BuildArch: noarch

%description
This gem enables you to be able to display the source code and the docs
of Ruby methods and classes implemented in C.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# bacon -a
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/core_docs.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.9.6-1
- Initial package
